<template>
  <div class="flex gap-4 items-center">
    <img
      :alt="integration.name"
      :src="integration.image"
      class="w-6"
    />
    <div v-if="integration.settings.team">
       <span class="font-bold">{{integration.settings.team.name}}</span> ({{ integration.integrationIdentifier }})
    </div>
    <div v-else>
      {{ integration.integrationIdentifier }}
    </div>
  </div>
</template>
<script setup>

defineProps({
  integration: {
    type: Object,
    default: () => {
    },
  },
});

</script>

<script>
export default {
  name: 'AppSlackTitle',
};
</script>

<style scoped lang="scss">

</style>
